#include <stdio.h>
#include <math.h>
#include <limits.h>



int main()
{
	int n,i,j;
	scanf("%d",&n);
	
	int a[n];
	double p[n];
	
	for(i=0;i<n;i++)
	{
		scanf("%d", &a[i]);
		scanf("%lf", &p[i]);
	}
	
	double c[n];
	
	for(i=0;i<n;i++)
	{
		c[i]=0.0;
		for(j=0;j<n;j++)
		{
			if(p[j]>=p[i])
			{
				c[i]=c[i]+(a[j]*(p[i]/100.0));
			}
		}
		
	}
	
	double maxi=c[0];
	
	for(i=0;i<n;i++)
	{
		if(maxi<c[i])
		{
			maxi=c[i];
		}
	}
	
	printf("%lf",maxi);
	return 0;
}